var mocha = require('mocha');
var assert = require('assert');
var ghr = require('./');

describe('github-url-to-raw', function() {
	describe('test github repo main page', function() {

		it("should give a js raw file", function() {
			var obj = ghr("https://github.com/zeke/github-url-to-object/blob/master/index.js");
			assert.equal(obj.user, 'zeke');
			assert.equal(obj.raw, 'https://raw.githubusercontent.com/zeke/github-url-to-object/master/index.js')
		})

		it("should convert md urls to raw md data", function() {
			var obj = ghr("https://github.com/tj/node-github-url-from-git/blob/master/Readme.md");
			assert.equal(obj.user, 'tj');
			assert.equal(obj.raw, 'https://raw.githubusercontent.com/tj/node-github-url-from-git/master/Readme.md')
		})

		it("should return a raw github code data", function() {
			var obj = ghr("https://github.com/Canner/canner/blob/master/doc/md/usage/install.md");
			assert.equal(obj.user, 'Canner');
			assert.equal(obj.raw, 'https://raw.githubusercontent.com/Canner/canner/master/doc/md/usage/install.md')
		})
	})
})